import request from '@/utils/request'

// 查询院内动态列表
export function listTrends(query) {
  return request({
    url: '/hezhi/trends/list',
    method: 'get',
    params: query
  })
}

// 查询院内动态详细
export function getTrends(trendsId) {
  return request({
    url: '/hezhi/trends/' + trendsId,
    method: 'get'
  })
}

// 新增院内动态
export function addTrends(data) {
  return request({
    url: '/hezhi/trends',
    method: 'post',
    data: data
  })
}

// 修改院内动态
export function updateTrends(data) {
  return request({
    url: '/hezhi/trends',
    method: 'put',
    data: data
  })
}

// 删除院内动态
export function delTrends(trendsId) {
  return request({
    url: '/hezhi/trends/' + trendsId,
    method: 'delete'
  })
}
